package app;

// Java imports
import java.awt.*;
import javax.swing.*;

// Console window
class Console extends ChildWindow {

    // Instance fields
    private boolean shown; // Component has been visible



    ///////////////////////////////////////////////////////////////////////////
    //                             Constructors                              //
    ///////////////////////////////////////////////////////////////////////////

    // Default constructor
    Console(MainWindow parent) {
        super(parent, "console.title");
        getContentPane().setPreferredSize(new Dimension(384, 224));
        pack();
    }



    ///////////////////////////////////////////////////////////////////////////
    //                            Package Methods                            //
    ///////////////////////////////////////////////////////////////////////////

    // Show the component on the first transition to debug mode
    void firstShow() {
        if (!shown)
            setVisible(shown = true);
    }

}
